Loading...
Searching...
No Matches
MewsRestDataProvider::MewsTableBulkRecordInterface Class Reference

Defines the record iterator class for table-based iterators. More...

`#include <MewsTableBulkRecordInterface.qc.dox.h>`

## Public Member Functions

| constructor (int block_size, DataProvider::AbstractDataProvider prov, hash< auto > req, string key, hash< string, AbstractDataField > record_type, *hash< auto > where_cond, *hash< auto > search_options)
| creates the iterator
*hash< string, AbstractDataField > | getRecordType ()
| Returns the record description, if available.

## Protected Member Functions

hash< string, list< auto > > | getValueImpl ()
| Returns a hash of lists according to the block size.

## Private Attributes

int | count = 0
| Total records retrieved.
string | cursor
| Current cursor value.
bool | done
| Done flag.
Qore::AbstractIterator | i
| Current data being iterated.
string | key
| The response key containing the data to be iterated.
DataProvider::AbstractDataProvider | prov
| The abstract data provider that will provide the data to be iterated.
hash< string, AbstractDataField > | record_type
| The record type.
hash< auto > | req
| The request data.
*hash< auto > | search_options
| Search options.

## Detailed Description

Defines the record iterator class for table-based iterators.

## Member Function Documentation

## constructor()

MewsRestDataProvider::MewsTableBulkRecordInterface::constructor | ( | int | block_size,
|  | DataProvider::AbstractDataProvider | prov,
|  | hash< auto > | req,
|  | string | key,
|  | hash< string, AbstractDataField > | record_type,
|  | *hash< auto > | where_cond,
|  | *hash< auto > | search_options )

creates the iterator

Parameters

  block_size | the number of records in a read block; must be a positive number
  prov | data provider that will provide the data to be iterated
  req | request data
  key | response key containing the data to be iterated
  where_cond | the search criteria; will be processed by processFieldValues()
  search_options | search options; assumed to have already been processed for validity before this call

## getRecordType()

*hash< string, AbstractDataField > MewsRestDataProvider::MewsTableBulkRecordInterface::getRecordType | ( |  | ) |

Returns the record description, if available.

Returns
  the record type of the table

## getValueImpl()

hash< string, list< auto > > MewsRestDataProvider::MewsTableBulkRecordInterface::getValueImpl | ( |  | ) |

protected

Returns a hash of lists according to the block size.

Note
  This call moves the internal record pointer forward, therefore multiple calls of this methods will return different results as long as data is available